{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
  <div class="row justify-content-center">
    <div class="col-12 col-md-8">
      <h1>{{ 'pages.register.title' | trans }}</h1>
      {{ form_errors(registrationForm) }}
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col-12 col-md-8">
      {{ form_start(registrationForm) }}
      {{ form_row(registrationForm.email) }}
      {{ form_row(registrationForm.plainPassword) }}
      {{ form_row(registrationForm.motherTong) }}
      {{ form_label(registrationForm.learntLanguages) }}
      {{ form_errors(registrationForm.learntLanguages) }}
      <div class="card">
        <div class="card-body">
          {{ form_widget(registrationForm.learntLanguages, {'attr': {'class':'language-grid'}}) }}
        </div>
      </div>
      {{ form_help(registrationForm.learntLanguages) }}

      <div class="row mb-4"></div>
      {{ form_row(registrationForm.agreeTerms) }}
      {{ form_rest(registrationForm) }}
    </div>
  </div>

{% endblock %}
